/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package datasourcetest.ejb;

import datasourcetest.entity.Person;
import javax.annotation.PostConstruct;
import javax.ejb.Singleton;
import javax.ejb.Startup;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author ievans
 */
@Startup
@Singleton
public class ConfigBean {
    
    @PersistenceContext
    EntityManager em;

    @PostConstruct
    private void init() {
        Person raul = new Person();
        raul.setName("Raul Duque");
        raul.setEmail("raul@example.com");
        em.persist(raul);
        
        Person annabel = new Person();
        annabel.setName("Annabel Oakley");
        annabel.setEmail("annabel@example.com");
        em.persist(annabel);
    }

}
